'''
    aml.path
    ~~~~~~~~

    :copyright: 2009 by Bjoern Schulz <bjoern.schulz.92@gmail.com>
    :license: MIT, see LICENSE for more details
'''

from aml.path.path import Path
from aml.path.parser import Parser
from aml.path.scanner import Scanner

def compile(path):
    return Parser(Scanner(path)).parse()

def findall(path, node):
    return compile(path).findall(node)